#!/bin/bash

NUM_CYCLES=1000

TYPE=$1

start_time=$(date +%s.%N)
echo "running $TYPE: dfs"
bash benchmark.bash input/$TYPE.txt dpt_planarizer $NUM_CYCLES > output/$TYPE/dfs.csv
end_time=$(date +%s.%N)
elapsed_time=$(echo "$end_time - $start_time" | bc)
echo "Elapsed time: $elapsed_time seconds"
echo ""

echo "running $TYPE: cactus"
start_time=$(date +%s.%N)
bash benchmark.bash input/$TYPE.txt ogdf_mps_cactus > output/$TYPE/cactus.csv
end_time=$(date +%s.%N)
elapsed_time=$(echo "$end_time - $start_time" | bc)
echo "Elapsed time: $elapsed_time seconds"
echo ""

echo "running $TYPE: fast"
start_time=$(date +%s.%N)
bash benchmark.bash input/$TYPE.txt ogdf_mps_fast > output/$TYPE/fast.csv
end_time=$(date +%s.%N)
elapsed_time=$(echo "$end_time - $start_time" | bc)
echo "Elapsed time: $elapsed_time seconds"
echo ""

echo "getting propreties..."
bash benchmark.bash input/$TYPE.txt get_graph_characteristics > output/$TYPE/graph_properties.csv 
echo "done"
