#!/bin/bash

# Define the parameters
num_node_range=(100 1000 10000)
edge_multiplier_range=(2 3 5 10 20)
copies=20
seed=41

max_jobs=2
running_jobs=0

# Loop through different parameters
for num_node in "${num_node_range[@]}"; do
	for edge_multiplier in "${edge_multiplier_range[@]}"; do
		num_edge=$((num_node * edge_multiplier))
		output_folder="${num_node}n${num_edge}e"
		mkdir -p $output_folder

		# Run the program with the parameters
		echo "run with $num_node nodes and $num_edge edges output to $output_folder"
		./make_scale_free_graph $num_node $num_edge $copies $seed $output_folder &

		((running_jobs++))

		if ((running_jobs >= max_jobs)); then
			wait
			running_jobs=0
		fi
	done
done
